# $Revision: 1.11 $, $Date: 2005/05/25 13:02:56 $
Summary:	Visualizer for crystal structures
Summary(pl):	Narzdzie suce do wizualizacji struktur krysztau
Name:		gnome-crystal
Version:	0.6.1
Release:	5
License:	GPL
Group:		X11/Applications/Science
Source0:	http://savannah.nongnu.org/download/gcrystal/%{name}-%{version}.tar.bz2
# Source0-md5:	cbe0a65e0c04ab8c18f13455a4dbe370
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-schemas.patch
Patch2:		%{name}-gcc34.patch
URL:		http://www.nongnu.org/gcrystal/
BuildRequires:	automake
BuildRequires:	gnome-chemistry-utils-devel >= 0.2.4
BuildRequires:	gtkglext-devel
BuildRequires:	libgnomeui-devel >= 2.2.0
BuildRequires:	libgnomeprintui-devel >= 2.2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libglade2-devel >= 2.0.1
BuildRequires:	libpng-devel
Requires(post):	GConf2
Requires(post):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Visualizer for crystal structures.

%description -l pl
Narzdzie suce do wizualizacji struktur krysztau.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--disable-schemas-install \
	--with-png \
	--with-jpeg

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
%gconf_schema_install

%postun -p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_libdir}/bonobo/servers/*.server
%{_desktopdir}/*.desktop
%{_datadir}/gcrystal
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/mime-info/*
%{_omf_dest_dir}/%{name}
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-crystal.spec,v $
Revision 1.11  2005/05/25 13:02:56  paladine
- missing BR: gtkglext-devel, rel. 5

Revision 1.10  2005/05/25 12:52:58  paladine
- rel. 4 for fixed desktop patch

Revision 1.9  2005/05/13 13:51:42  ankry
- rel. 3 to rebuild with new libhowl

Revision 1.8  2004/11/19 22:47:34  grzegol
- added gcc34 patch

Revision 1.7  2004/11/03 11:52:34  paladine
- rel 2 for fixed desktop patch

Revision 1.6  2004/03/22 00:09:30  grzegol
- updated to 0.6.1

Revision 1.5  2004/03/13 20:18:54  qboosh
- BR: automake

Revision 1.4  2004/03/12 23:51:28  andree
- copy config.sub

Revision 1.3  2004/03/11 15:00:21  grzegol
- updated to 0.6.0

Revision 1.2  2004/02/20 23:36:50  grzegol
- added schemas patch (fixes gcrystal.schemas file)
- rel. 2

Revision 1.1  2004/02/12 21:34:35  grzegol
- new
